function init()
	gun.name = "Spawner pillbug"
	gun.fireDelay = 1000
	gun.shotrange = 1200
	gun.shotspeed = 0
	gun.shotdamage = 0
	
	return 0
end


function update()

	return 0
end


function fire()

	--create a minion
	spawnx = gun.firex + math.random(-200, 200)
	spawny = gun.firey + math.random(-200, 200)
	stage.GFP("FTED")
	stage.createShip("Pillbug", "", spawnx, spawny, gun.owner.faction)

	return 0
end

function shot_update()

	return 0
end